GET /contacts/v1/schema

Overview 

Retrieves the collection of all contact data schemas contained in the current account.

Usage 

Example Request

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/schema
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1200 (OK)
2Content-Type: application/json
3{
4    "links": {
5        "self": { "href": "/v1/schema" }
6    },
7    "page": 0,
8    "pageSize": 0,
9    "count": 0,
10    "items": [
11        {
12            "id": "71c1f974-9812-e411-9ef0-08edb9ddebf0",
13            "enterpriseID": 10650001,
14            "availableBusinessUnits": [ 10650001 ],
15            "version": 16,
16            "schemaType": "Contacts",
17            "links": {
18                "self": { "href": "/v1/schemas/71c1f974-9812-e411-9ef0-08edb9ddebf0" },
19                "attributeGroups": { "href": "/v1/schemas/71c1f974-9812-e411-9ef0-08edb9ddebf0/attributeGroups" },
20                "attributeSetDefinitions": { "href": "/v1/schemas/71c1f974-9812-e411-9ef0-08edb9ddebf0/attributeSetDefinitions" }
21            }
22        }
23    ],
24    "requestServiceMessageID": "ec7c40b0-22f7-11e4-bf2e-ffbc219b0f06",
25    "resultMessages": [],
26    "serviceMessageID": "1fa77ba6-0fb1-4ae1-914a-ef0166318f03"
27}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!